Bug 133353 - ghostscript doesn't accept standard type 1 fonts
ghostscript doesn't accept standard type 1 fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 09:58 EDT by Bob T.
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 7.07-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 11:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2004-09-23 09:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
ghostscript was crashing on standard web pages.  On analysis, it
turned out to be failing to accept standard Adobe type 1 fonts for
Helvetica and Times.  Note that it *was* finding them, but
for some reason didn't like them.  The problem disappeared when I
reverted to ghostscript-7.07-11.

Version-Release number of selected component (if applicable):
ghostscript-7.07-25

How reproducible:
Sometimes

Steps to Reproduce:
1. lpr something.ps or gv something.ps or gs -sDEVICE=x11alpha
something.ps
2.
3.
    

Actual Results:  Typical error message:
Loading Helvetica-BoldOblique font from ./... Error: /ioerror in --read--
Operand stack:
   F15_0   1   1   --nostringval--   Helvetica-BoldOblique   Font  
Helvetica-BoldObliqu
e   389361   Helvetica-BoldOblique   --nostringval--  
Helvetica-BoldOblique   (./)   --
nostringval--   FontType   --nostringval--
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   
%stopped_push   --nostringval--   --nostringval--   --nostringval--  
false   1   %stopp
ed_push   1   3   %oparray_pop   1   3   %oparray_pop   1   3  
%oparray_pop   1   3   %
oparray_pop   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %sto
pped_push   --nostringval--   --nostringval--   5   4   %oparray_pop 
 6   4   %oparray_
pop   --nostringval--   --nostringval--   --nostringval--  
--nostringval--   --nostring
val--   false   1   %stopped_push   9   5   %oparray_pop  
--nostringval--   --nostringv
al--   --nostringval--   --nostringval--   --nostringval--  
%array_continue   --nostrin
gval--   --nostringval--   --nostringval--   %loop_continue  
--nostringval--   --nostri
ngval--   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1072/1123(ro)(G)--   --dict:0/20(G)--   --dict:89/200(L)-- 
 --dict:61/75(L)--
   --dict:17/17(ro)(G)--   --dict:1072/1123(ro)(G)--
Current allocation mode is local
Last OS error: 21
Current file position is 14478
GNU Ghostscript 7.07: Unrecoverable error, exit code 1


Expected Results:  display/print of file

Additional info:
 
The error message comes after normal Loading of, say, 
 NimbusSanL-ReguItal, so perhaps there's an aliasing problem.
Comment 1 Bob T. 2004-09-23 10:14:15 EDT
If I put Fontmap.GS first in Fontmap, I get this output:

Can't find (or can't open) font file Times-Roman.pfb.
Can't find (or can't open) font file
/usr/share/ghostscript/Resource/Font/Times-Roman.
Can't find (or can't open) font file Times-Roman.
Scanning /usr/share/fonts/Apple for fonts... 12 files, 11 scanned, 1
new fonts.
Can't find (or can't open) font file Times-Roman.pfb.
Can't find (or can't open) font file
/usr/share/ghostscript/Resource/Font/Times-Roman.
Can't find (or can't open) font file Times-Roman.
Scanning /usr/share/fonts/Adobe for fonts... 22 files, 21 scanned, 0
new fonts.
Can't find (or can't open) font file Times-Roman.pfb.
Can't find (or can't open) font file
/usr/share/ghostscript/Resource/Font/Times-Roman.
Can't find (or can't open) font file Times-Roman.

  :
Scanning /usr/share/fonts/Type1 for fonts... 581 files, 20 scanned, 0
new fonts.
Can't find (or can't open) font file Times-Roman.pfb.
Can't find (or can't open) font file 


Note that Times-Roman.pfb *is* in the last directory:
# pwd
/usr/share/fonts/Type1
# ls Times-Roman*
20 Times-Roman.afm  36 Times-Roman.pfb

Comment 2 Bob T. 2004-09-24 13:34:43 EDT
Looking at the differences between 7.07-11 (which works) and 7.07-25
(which doesn't), the "fontconfig support" stands out as the prime
suspect.  How well was this hack tested before it was inflicted on us?
 And making fontconfig support "optional" in the spec file isn't much
help if the package doesn't build when use_fontconfig is set to 0! 
Comment 3 Bob T. 2004-09-25 14:36:46 EDT
By suppressing a patch, I was able to build ghostscript-7.07-25
*without* fontconfig support.  This works.  So it's almost certainly
fontconfig support (or fontconfig itself) that's broken. I repeated
everything on ghostscript-7.07-31 from
the fedora development tree and got the same results:  fontconfig
(support) has problems with BoldItalic fonts.
Comment 4 Tim Waugh 2004-09-28 11:50:22 EDT
Fontconfig turned off in 7.07-32.

Note You need to log in before you can comment on or make changes to this bug.